std::begin(std::initializer_list)(3)

NAME
std::begin(std::initializer_list) - std::begin(std::initializer_list)

Synopsis
   Defined in header <initializer_list>
   template< class E > (since C++11)
   const E* begin( std::initializer_list<E> il ) noexcept; (until C++14)
   template< class E > (since C++14)
   constexpr const E* begin( std::initializer_list<E> il ) noexcept;
   The overload of std::begin for initializer_list returns a pointer to the first
   element of il.

Parameters
   il - an initializer_list

Return value
   il.begin()

Example
// Run this code
 #include <iostream>
 #include <initializer_list>
 int main()
 {
     std::initializer_list<int> il = {3, 1, 4, 1};
     for(auto it = std::begin(il); it != std::end(il); ++it) {
         std::cout << *it << '\n';
     }
 }

Output:
 3
 1
 4
 1

See also
   begin returns a pointer to the first element
         (public member function)